POST
/
v1
/
writing-feedback
/
{scanId}
/
check
curl --request POST \
  --url https://api.copyleaks.com/v1/writing-feedback/my-scan-123/check \
  --header 'Authorization: Bearer YOUR_LOGIN_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "text": "Copyleaks is a comprehensive plagiarism detection platform..."
  }'
{
  "score": {
    "corrections": {
      "grammarCorrectionsCount": 2,
      "grammarCorrectionsScore": 87,
      "mechanicsCorrectionsCount": 9,
      "mechanicsCorrectionsScore": 38,
      "overallScore": 79
    },
    "readability": {
      "score": 59,
      "readabilityLevel": 5,
      "readabilityLevelText": "10th to 12th Grader",
      "readabilityLevelDescription": "Fairly difficult to read"
    }
  },
  "scannedDocument": {
    "scanId": "{scanId}",
    "totalWords": 61,
    "actualCredits": 1,
    "expectedCredits": 1,
    "creationTime": "2025-08-06T08:00:08.0429909Z"
  }
}
curl --request POST \
  --url https://api.copyleaks.com/v1/writing-feedback/my-scan-123/check \
  --header 'Authorization: Bearer YOUR_LOGIN_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "text": "Copyleaks is a comprehensive plagiarism detection platform..."
  }'
{
  "score": {
    "corrections": {
      "grammarCorrectionsCount": 2,
      "grammarCorrectionsScore": 87,
      "mechanicsCorrectionsCount": 9,
      "mechanicsCorrectionsScore": 38,
      "overallScore": 79
    },
    "readability": {
      "score": 59,
      "readabilityLevel": 5,
      "readabilityLevelText": "10th to 12th Grader",
      "readabilityLevelDescription": "Fairly difficult to read"
    }
  },
  "scannedDocument": {
    "scanId": "{scanId}",
    "totalWords": 61,
    "actualCredits": 1,
    "expectedCredits": 1,
    "creationTime": "2025-08-06T08:00:08.0429909Z"
  }
}
Use Copyleaks Grammar Checker to generate grammar, spelling and sentence corrections for a given text. This endpoint will receive submitted text to be checked. The response will show the suggested corrections to the input text.
Authentication Required. You need to login with a user and API key in order to access this method. Add this HTTP header to your request:Authorization: Bearer <Your-Login-Token>

Request

Path Parameters

scanId
string
required
A unique scan id provided by you. Learn more about the criteria for creating a Scan ID.>= 3 characters <= 36 characters

Headers

Content-Type: application/json
Authorization: Bearer YOUR_LOGIN_TOKEN

Request Body

text
string
required
Text to produce Grammar Checker report for.>= 1 characters <= 25000 characters
sandbox
boolean
default:"false"
Use sandbox mode to test your integration with the Copyleaks API without consuming any credits.
score
object
language
string
The language code of your content. If not supplied, our system will automatically detect the language of the content.Example: "en"

Responses

200 OK - The command was executed.
{
  "score": {
    "corrections": {
      "grammarCorrectionsCount": 2,
      "grammarCorrectionsScore": 87,
      "overallScore": 79
    }
  },
  "scannedDocument": {
    "scanId": "{scanId}",
    "totalWords": 61,
    "creationTime": "2025-08-06T08:00:08.0429909Z"
  }
}